#include<iostream.h>
 struct S
{
	int c1;
	int c2;
};
 union U
{ 
	int a;
	int	b;
    S d;
};   
  int main()
{ 
  U g;
  g.b=10;
  g.b=g.a+20;
  g.d.c1=g.a+g.b;
  cout<<g.a<<","<<g.b<<","<<g.d.c1<<endl;
  return(0);
}      
